Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 259009 - [launchers] usability in launchers dialog
[launchers] usability in launchers dialog
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Project
8.2
All All
: P2 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks: 258806
  Show dependency treegraph
 
Reported: 2016-04-25 14:49 UTC by Vladimir Voskresensky
Modified: 2016-04-27 02:25 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2016-04-25 14:49:53 UTC
When work with launchers it is common to modify the same one sequentially. Please, make preselection based on the selection from the last dialog use.
Comment 1 Vladimir Voskresensky 2016-04-25 15:30:30 UTC
It would be great if common launchers are separated (i.e. by "----------------") delimeter, because Up doesn't work under common private launcher. Also common launchers has disabled up/down. I hope with delimeter it will be clearer
Comment 2 Alexander Simon 2016-04-26 10:43:28 UTC
fixed initial index and initial dialog size in change set:
http://hg.netbeans.org/cnd-main/rev/96b486e545db
Comment 3 Alexander Simon 2016-04-26 10:47:58 UTC
(In reply to Vladimir Voskresensky from comment #1)
> It would be great if common launchers are separated (i.e. by
> "----------------") delimeter, because Up doesn't work under common private
> launcher. Also common launchers has disabled up/down. I hope with delimeter
> it will be clearer

1. Do not understand why it is P2.
2. Do not understand how delimiter helps user understand that Up and Down action works under delimiter and do not work above delimiter.

Do not fix.
Comment 4 Quality Engineering 2016-04-27 02:25:41 UTC
Integrated into 'main-silver', will be available in build *201604270002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/96b486e545db
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #259009 [launchers] usability in launchers dialog
- store last selected index and last dialog size


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo